package cicaprojekt;

import java.io.IOException;

public class GateDrawer extends AbstractDrawer {
    Gate gate;
    
    public GateDrawer(Gate g) throws IOException {
        super("ClosedGate.png");
        gate = g;
    }
    
    @Override
    public void draw() throws IOException {
        if(gate.isOpen())
            changeImage("Field.png");  //TODO picture for open gate.
        else 
            changeImage("ClosedGate.png"); 
    }
    
    @Override
    public int getTileX() {
        return gate.getX();
    }
    
    @Override
    public int getTileY() {
        return gate.getY();
    }

}
